#
#  Copyright (c) 2008, Texas Instruments Incorporated
#  All rights reserved.
# 
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
# 
#  *  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
# 
#  *  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
# 
#  *  Neither the name of Texas Instruments Incorporated nor the names of
#     its contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
# 
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# insert cmemk, tell it to occupy physical 120MB-128MB, create 
# 20 4K buffers, 10 128K buffers  and two 1MB buffers
CMEM_MODPARAMS="phys_start=0x87800000 phys_end=0x88000000 pools=20x4096,10x131072,2x1048576"

if [ -e cmemk.ko ]
    then
        insmod cmemk.ko $CMEM_MODPARAMS
    else
        modprobe cmemk $CMEM_MODPARAMS
fi

# Allow cmem driver to be used by all users
if [ -e /dev/cmem ]
    then
        chmod 666 /dev/cmem
fi

# remove potentially stale /dev entry
rm -f /dev/dsplink

# insert DSP/BIOS Link driver
if [ -e dsplinkk.ko ]
    then
        insmod dsplinkk.ko
    else
        modprobe dsplinkk
fi

# if insmod/modprobe didn't create /dev/dsplink, create it manually
if [ ! -e /dev/dsplink ]
    then
	mknod /dev/dsplink c `awk "/dsplink/ {print \\$1}" /proc/devices` 0
fi

# Allow dsplink driver to be used by all users
if [ -e /dev/dsplink ]
    then
        chmod 666 /dev/dsplink
fi

# insert lpm
if [ -e lpm_dm6446.ko ]
    then
        insmod lpm_dm6446.ko
    else
        modprobe lpm_dm6446
fi

# Allow lpm driver to be used by all users
if [ -e /dev/lpm0 ]
    then
        chmod 666 /dev/lpm*
fi

if [ -e ocvc_dm6446.ko ]
    then
        insmod ocvc_dm6446.ko
    else
        modprobe ocvc_dm6446
fi

